name: "neural32"

description: |
  This is the neural model with 32k kontext

license: "https://huggingface.co/models?license=license%3Aapache-2.0/"
urls:
- https://huggingface.co/TheBloke/neural-chat-7B-v3-3-GGUF

config_file: |
  name: neural
  context_size: 32000
  backend: llama
  f16: true
  mmap: true
  threads: 4
  parameters:
    model: model_data/text_generation/TheBloke/neural/neural-chat-7b-v3-3.Q5_K_M.gguf
    temperature: 0.2
    top_k: 40
    top_p: 0.95
  template:
    chat_message: chatneural
    chat: chatneural-block
    completion: completion
  roles:
    assistant: 'Assistant:'
    system: 'System:'
    user: 'User:'
  gpu_layers: 35  
  stopwords:
  - <|im_end|>

prompt_templates:
- name: "chatneural"
  content: |
    ### User:
    {{.Input}}
- name: "chatneural-block"
  content: |
    {{.Input}}
    ### Assistant:

- name: "completion"
  content: |
    {{.Input}}
    
files:
- filename: "model_data/text_generation/TheBloke/neural/neural-chat-7b-v3-3.Q5_K_M.gguf"
  sha256: "df5f43499a23fb45f81cdef0be06252e8bd9831449fdc4744ac5af0dafbacd46"
  uri: "https://huggingface.co/TheBloke/neural-chat-7B-v3-3-GGUF/resolve/main/neural-chat-7b-v3-3.Q5_K_M.gguf"
  